## org.apache.http
Interface HttpInetConnection

All Superinterfaces:
  Closeable, HttpConnection

All Known Implementing Classes:
  DefaultHttpClientConnection, DefaultHttpServerConnection, DefaultNHttpClientConnection, DefaultNHttpServerConnection, NHttpConnectionBase, SocketHttpClientConnection, SocketHttpServerConnection

    public interface HttpInetConnection

extends HttpConnection

An HTTP connection over the Internet Protocol (IP).

Since:
  4.0

Method Summary
`InetAddress` `getLocalAddress()`
`int` `getLocalPort()`
`InetAddress` `getRemoteAddress()`
`int` `getRemotePort()`

Methods inherited from interface org.apache.http.HttpConnection
`close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

Method Detail

### getLocalAddress

    InetAddress getLocalAddress()

### getLocalPort

    int getLocalPort()

### getRemoteAddress

    InetAddress getRemoteAddress()

### getRemotePort

    int getRemotePort()

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.